Bug 1282208 - [abrt] gcc-c++: real_abort(): cc1plus killed by SIGABRT
[abrt] gcc-c++: real_abort(): cc1plus killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2eb92888de4d2741e944c1712b6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 09:45 EST by Phil Hobbs
Modified: 2015-12-02 13:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:52:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.88 KB, text/plain)
2015-11-15 09:45 EST, Phil Hobbs
no flags Details
File: cgroup (191 bytes, text/plain)
2015-11-15 09:45 EST, Phil Hobbs
no flags Details
File: core_backtrace (5.15 KB, text/plain)
2015-11-15 09:45 EST, Phil Hobbs
no flags Details
File: dso_list (828 bytes, text/plain)
2015-11-15 09:45 EST, Phil Hobbs
no flags Details
File: environ (3.96 KB, text/plain)
2015-11-15 09:45 EST, Phil Hobbs
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-15 09:45 EST, Phil Hobbs
no flags Details
File: maps (4.41 KB, text/plain)
2015-11-15 09:45 EST, Phil Hobbs
no flags Details
File: open_fds (1.40 KB, text/plain)
2015-11-15 09:45 EST, Phil Hobbs
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2015-11-15 09:45 EST, Phil Hobbs
no flags Details

  None (edit)
Description Phil Hobbs 2015-11-15 09:45:33 EST
Description of problem:
I was just building a console app.  It builds fine in gcc 4.4.7 under Centos 6.5.

Version-Release number of selected component:
gcc-c++-4.9.2-6.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/gcc/x86_64-redhat-linux/4.9.2/cc1plus -quiet -I ../empost -I ../socks -I ../numrec -dD -D_GNU_SOURCE -D_REENTRANT -D DEBUG_MEMORY -D LINUX -D _FILE_OFFSET_BITS=64 fido.cpp -quiet -dumpbase fido.cpp -dH -dm -mtune=generic -march=x86-64 -auxbase-strip fido.o -g3 -ggdb -O0 -Wall -Woverloaded-virtual -Wswitch-enum -Wextra -Wpacked -Wpadded -Winline -Wdisabled-optimization -funsigned-char -fno-exceptions -o /tmp/ccMFoTR6.s
crash_function: real_abort
executable:     /usr/libexec/gcc/x86_64-redhat-linux/4.9.2/cc1plus
kernel:         3.18.17-7.pvops.qubes.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 real_abort at ../../gcc/diagnostic.c:1200
 #3 diagnostic_action_after_output at ../../gcc/diagnostic.c:447
 #4 diagnostic_report_diagnostic(diagnostic_context*, diagnostic_info*) at ../../gcc/diagnostic.c:804
 #5 permerror at ../../gcc/diagnostic.c:1035
 #6 tsubst_copy_and_build at ../../gcc/cp/pt.c:14782
 #7 tsubst_expr(tree_node*, tree_node*, int, tree_node*, bool) at ../../gcc/cp/pt.c:14058
 #13 instantiate_decl(tree_node*, int, bool) at ../../gcc/cp/pt.c:19972
 #14 instantiate_pending_templates(int) at ../../gcc/cp/pt.c:20088
 #15 cp_write_global_declarations() at ../../gcc/cp/decl2.c:4340
 #16 compile_file() at ../../gcc/toplev.c:564
Comment 1 Phil Hobbs 2015-11-15 09:45:38 EST
Created attachment 1094442 [details]
File: backtrace
Comment 2 Phil Hobbs 2015-11-15 09:45:40 EST
Created attachment 1094443 [details]
File: cgroup
Comment 3 Phil Hobbs 2015-11-15 09:45:41 EST
Created attachment 1094444 [details]
File: core_backtrace
Comment 4 Phil Hobbs 2015-11-15 09:45:42 EST
Created attachment 1094445 [details]
File: dso_list
Comment 5 Phil Hobbs 2015-11-15 09:45:43 EST
Created attachment 1094446 [details]
File: environ
Comment 6 Phil Hobbs 2015-11-15 09:45:45 EST
Created attachment 1094447 [details]
File: limits
Comment 7 Phil Hobbs 2015-11-15 09:45:46 EST
Created attachment 1094448 [details]
File: maps
Comment 8 Phil Hobbs 2015-11-15 09:45:47 EST
Created attachment 1094449 [details]
File: open_fds
Comment 9 Phil Hobbs 2015-11-15 09:45:48 EST
Created attachment 1094450 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2015-12-02 10:52:16 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.